import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

import 'package:f0ckapp/providers/MediaProvider.dart';
import 'package:f0ckapp/providers/ThemeProvider.dart';
import 'package:f0ckapp/screens/MediaGrid.dart';

import 'package:provider/provider.dart';

void main() async {
  WidgetsFlutterBinding.ensureInitialized();
  await SystemChrome.setPreferredOrientations([DeviceOrientation.portraitUp]);

  runApp(
    MultiProvider(
      providers: [
        ChangeNotifierProvider(create: (context) => ThemeProvider()),
        ChangeNotifierProvider(create: (context) => MediaProvider())
      ],
      child: F0ckApp()
    )
  );
}

class F0ckApp extends StatelessWidget {
  const F0ckApp({super.key});

  @override
  Widget build(BuildContext context) {
    final themeProvider = Provider.of<ThemeProvider>(context);

    return MaterialApp(
      debugShowCheckedModeBanner: false,
      theme: themeProvider.themeData,
      home: Scaffold(
        body: MediaGrid(),
      ),
    );
  }
}
