import 'package:flutter/material.dart';

final ThemeData f0ckTheme = ThemeData(
  brightness: Brightness.dark,
  primaryColor: Color(0xFF9FFF00),
  scaffoldBackgroundColor: Color(0xFF000000),
  colorScheme: ColorScheme.dark(
    primary: Color(0xFF9FFF00),
    secondary: Color(0xFF262626),
    surface: Color(0xFF232323),
    onPrimary: Color(0xFF000000),
    onSecondary: Color(0xFFFFFFFF),
    onSurface: Color(0xFFFFFFFF),
  ),
  appBarTheme: AppBarTheme(
    backgroundColor: Color(0xFF2B2B2B),
    foregroundColor: Color(0xFF9FFF00),
    elevation: 2,
  ),
  textTheme: TextTheme(
    bodyLarge: TextStyle(fontFamily: 'VCR', color: Color(0xFFFFFFFF)),
    bodyMedium: TextStyle(fontFamily: 'monospace', color: Color(0xFFFFFFFF)),
  ),
  buttonTheme: ButtonThemeData(
    buttonColor: Color(0xFF9FFF00),
    textTheme: ButtonTextTheme.primary,
  ),
  scrollbarTheme: ScrollbarThemeData(
    thumbColor: WidgetStateProperty.all(Color(0xFF2B2B2B)),
    trackColor: WidgetStateProperty.all(Color(0xFF424242)),
  ),
);

final ThemeData paperTheme = ThemeData(
  brightness: Brightness.light,
  primaryColor: Color(0xFF000000),
  scaffoldBackgroundColor: Color(0xFFFFFFFF),
  colorScheme: ColorScheme.light(
    primary: Color(0xFF000000),
    secondary: Color(0xFF262626),
    surface: Color(0xFFFFFFFF),
    onPrimary: Color(0xFFFFFFFF),
    onSecondary: Color(0xFFFFFFFF),
    onSurface: Color(0xFF000000),
  ),
  appBarTheme: AppBarTheme(
    backgroundColor: Color(0xFFFFFFFF),
    foregroundColor: Color(0xFF000000),
    elevation: 0,
  ),
  textTheme: TextTheme(
    bodyLarge: TextStyle(fontFamily: 'VCR', color: Color(0xFF000000)),
    bodyMedium: TextStyle(fontFamily: 'monospace', color: Color(0xFF000000)),
  ),
  buttonTheme: ButtonThemeData(
    buttonColor: Color(0xFF000000),
    textTheme: ButtonTextTheme.primary,
  ),
);

final ThemeData f0ck95Theme = ThemeData(
  brightness: Brightness.light,
  primaryColor: Color(0xFFC0C0C0),
  scaffoldBackgroundColor: Color(0xFF008080),
  colorScheme: ColorScheme.light(
    primary: Color(0xFFC0C0C0),
    secondary: Color(0xFF808080),
    surface: Color(0xFFC0C0C0),
    onPrimary: Color(0xFF000000),
    onSecondary: Color(0xFFFFFFFF),
  ),
  appBarTheme: AppBarTheme(
    backgroundColor: Color(0xFFC0C0C0),
    foregroundColor: Color(0xFF000000),
    elevation: 2,
  ),
  textTheme: TextTheme(
    bodyLarge: TextStyle(fontFamily: 'VCR', color: Color(0xFF000000)),
    bodyMedium: TextStyle(fontFamily: 'monospace', color: Color(0xFF000000)),
  ),
  buttonTheme: ButtonThemeData(
    buttonColor: Color(0xFF000000),
    textTheme: ButtonTextTheme.primary,
  ),
  scrollbarTheme: ScrollbarThemeData(
    thumbColor: WidgetStateProperty.all(Color(0xFF2B2B2B)),
    trackColor: WidgetStateProperty.all(Color(0xFF424242)),
  ),
);

final ThemeData f0ck95dTheme = ThemeData(
  brightness: Brightness.dark,
  primaryColor: Color(0xFFFFFFFF),
  scaffoldBackgroundColor: Color(0xFF0E0F0F),
  colorScheme: ColorScheme.dark(
    primary: Color(0xFFFFFFFF),
    secondary: Color(0xFFC0C0C0),
    surface: Color(0xFF333131),
    onPrimary: Color(0xFF000000),
    onSecondary: Color(0xFFFFFFFF),
  ),
  appBarTheme: AppBarTheme(
    backgroundColor: Color(0xFF0B0A0A),
    foregroundColor: Color(0xFFFFFFFF),
    elevation: 2,
  ),
  textTheme: TextTheme(
    bodyLarge: TextStyle(fontFamily: 'VCR', color: Color(0xFFFFFFFF)),
    bodyMedium: TextStyle(fontFamily: 'monospace', color: Color(0xFFFFFFFF)),
  ),
  buttonTheme: ButtonThemeData(
    buttonColor: Color(0xFFFFFFFF),
    textTheme: ButtonTextTheme.primary,
  ),
  scrollbarTheme: ScrollbarThemeData(
    thumbColor: WidgetStateProperty.all(Color(0xFF2B2B2B)),
    trackColor: WidgetStateProperty.all(Color(0xFF424242)),
  ),
);



class ThemeProvider extends ChangeNotifier {
  ThemeData _themeData = f0ck95dTheme;

  ThemeData get themeData => _themeData;

  /*void toggleTheme() {
    _themeData = _themeData == lightTheme ? darkTheme : lightTheme;
    notifyListeners();
  }*/
}
